<?php

App::uses('PluginInstallShell', 'shells');

class EvJupixInstallShell extends PluginInstallShell {

	public $uses = array(
		'EvProperty.PropertyType',
		'EvProperty.PropertyStyle',
	);

	const SERVICE_NAME = 'Jupix';

	/**
	 * call parent run() This will auto run any migrations
	 *
	 * Use the run() method here to insert any content
	 */
	public function run() {
		parent::run();

		$this->_populateContentFromCSV(
			ROOT . DS . 'Plugin' . DS . 'EvJupix' . DS . 'Config' . DS . 'Seed' . DS . 'propertyTypes.csv',
			'EvProperty.PropertyType'
		);

		$this->_populateContentFromCSV(
			ROOT . DS . 'Plugin' . DS . 'EvJupix' . DS . 'Config' . DS . 'Seed' . DS . 'propertyStyles.csv',
			'EvProperty.PropertyStyle'
		);

		$this->_populateContentFromCSV(
			ROOT . DS . 'Plugin' . DS . 'EvJupix' . DS . 'Config' . DS . 'Seed' . DS . 'propertyAges.csv',
			'EvProperty.PropertyAge'
		);

		$this->_populateContentFromCSV(
			ROOT . DS . 'Plugin' . DS . 'EvJupix' . DS . 'Config' . DS . 'Seed' . DS . 'priceQualifiers.csv',
			'EvProperty.PriceQualifier'
		);

		$this->_populateContentFromCSV(
			ROOT . DS . 'Plugin' . DS . 'EvJupix' . DS . 'Config' . DS . 'Seed' . DS . 'propertyTenures.csv',
			'EvProperty.PropertyTenure'
		);

		$this->_populateContentFromCSV(
			ROOT . DS . 'Plugin' . DS . 'EvJupix' . DS . 'Config' . DS . 'Seed' . DS . 'propertyAvailabilities.csv',
			'EvProperty.PropertyAvailability'
		);

		$this->_populateContentFromCSV(
			ROOT . DS . 'Plugin' . DS . 'EvJupix' . DS . 'Config' . DS . 'Seed' . DS . 'saleTypes.csv',
			'EvProperty.SaleType'
		);

		$this->_populateContentFromCSV(
			ROOT . DS . 'Plugin' . DS . 'EvJupix' . DS . 'Config' . DS . 'Seed' . DS . 'rentFrequencies.csv',
			'EvProperty.RentFrequency'
		);
	}
}

